Zum Inhalt springen

ListStartableDefinitions

GET
/api/v1/t/{tenant}/workflows/definitions/startable
curl --request GET \
--url https://example.com/api/v1/t/example/workflows/definitions/startable
tenant
required
string

Tenant slug

documentTypeId
string format: uuid

OK

Media typeapplication/json
Array<object>
object
definitionId
required
string format: uuid
template
required
Allowed values: InvoiceApproval ContractReview MailDistribution HrFileIntake Custom
name
required
string
currentVersion
required
integer format: int32
Example
[
{
"template": "InvoiceApproval"
}
]

Bad Request

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}

Forbidden

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Too Many Requests

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}